<?php

namespace Slovocast\Infrastructure\Middleware;

use Slovocast\Infrastructure\Middleware;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Message\ResponseInterface as Response;


class VerifyPasswordMiddleware extends Middleware
{
    public function invoke(
        Request $request,
        Response $response,
        callable $next
    ): Response {
        // get user Data
        $requestData = $request->getParsedBody();

        if ($requestData['password'] !== $requestData['checked_password']) {
            $this->session
                 ->getFlash()
                 ->add('error', "Passwords do not match.");
            return $response->withStatus(400);
        }

        return $response;
    }
}
